﻿<%@ Page Language="C#" %>

<%@ Register Assembly="Ektron.Cms.Framework.UI.Controls.EktronUI" Namespace="Ektron.Cms.Framework.UI.Controls.EktronUI" TagPrefix="ektronUI" %>

<%@ Import Namespace="Ektron.Cms.Min" %>
<%@ Import Namespace="Ektron.Cms.Framework.UI.Controls.EktronUI" %>


<!DOCTYPE html>

<script runat="server">
    protected void uxSubmit_Click(object sender, EventArgs e)
    {

        try
        {
            long folderId = long.Parse(uxFolderId.Text);
            long metadataTypeId = long.Parse(uxMetadataId.Text);
            bool isRequired = uxIsRequired.Checked;
            
            Ektron.Cms.Framework.Organization.FolderManager folderManager = new Ektron.Cms.Framework.Organization.FolderManager(Ektron.Cms.Framework.ApiAccessMode.Admin);
            Ektron.Cms.FolderData folderData = folderManager.GetItem(folderId, true);

            if (folderData.FolderType == 1)
            {// If this is a Blog folder

                Ektron.Cms.API.Content.Content contentApi = new Ektron.Cms.API.Content.Content();
                contentApi.EkContentRef.RequestInformation.ContentLanguage = folderManager.ContentLanguage;
                contentApi.EkContentRef.RequestInformation.CallerId = Ektron.Cms.Common.EkConstants.InternalAdmin;
                contentApi.EkContentRef.RequestInformation.UserId = Ektron.Cms.Common.EkConstants.InternalAdmin;

                Ektron.Cms.Content.EkContent ekContent = contentApi.EkContentRef;

                // Code from Ektron API that will work for blog folders.
                ekContent.AssignFieldToFolder(folderId, metadataTypeId, true, isRequired);
                ekContent.ActivateMetadataToFolder(folderId, new long[1] { metadataTypeId });
                
            }
            MessageUtilities.UpdateMessage(uxMessage, "Metadata Type assigned to the folder", Message.DisplayModes.Success);
            uxPageMultiView.SetActiveView(uxViewMessage);
        }
        catch (Exception ex)
        {
            MessageUtilities.UpdateMessage(uxMessage, ex.Message, Message.DisplayModes.Error);
            uxPageMultiView.SetActiveView(uxViewMessage);         
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:MultiView ID="uxPageMultiView" runat="server" ActiveViewIndex="0">
                <asp:View ID="uxViewMessage" runat="server">
                    <ol class="formFields">
                        <li class="clearfix">
                            <ektronUI:Label ID="uxFolderIdLabel" AssociatedControlID="uxFolderId" CssClass="span-3 last" runat="server" Text="* Folder Id:" />
                            <ektronUI:TextField ID="uxFolderId" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Label ID="uxMetadataIdLabel" AssociatedControlID="uxMetadataId" CssClass="span-3 last" runat="server" Text="* MetadataType Id:" />
                            <ektronUI:TextField ID="uxMetadataId" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Label ID="uxIsRequiredLabel" AssociatedControlID="uxIsRequired" CssClass="span-3 last" runat="server" Text=" Is Required:" />
                            <ektronUI:Button DisplayMode="Checkbox" Text="" ID="uxIsRequired" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Button ID="uxSubmit" runat="server" OnClick="uxSubmit_Click" Text="Assign Metadata"></ektronUI:Button>
                            <ektronUI:Label ID="uxRequiredLabel" CssClass="span-3 last" runat="server" Text="* - Required" />
                        </li>
                    </ol>
                </asp:View>
            </asp:MultiView>
            <ektronUI:Message ID="uxMessage" runat="server"></ektronUI:Message>
        </div>
    </form>
</body>
</html>
